## Class PrimeGenerator

    java.lang.Object
      PrimeGenerator

public class PrimeGenerator
extends java.lang.Object

This class demonstrates an clear and simple use of comments with a single method that generates a list of primes. It also provides an example of how JavaDoc documentation works.

Version:
  1.0
Author:
  CMSC 131

Constructor Summary
`PrimeGenerator()`

Method Summary
`static int[]` `getPrimes(int maxNumber)` Returns an array containing the prime numbers between 2 and the given parameter.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrimeGenerator

    public PrimeGenerator()

Method Detail

### getPrimes

    public static int[] getPrimes(int maxNumber)

  Returns an array containing the prime numbers between 2 and the given parameter. If there are no primes found, an array of length 0 is returned.

  Parameters:
    `maxNumber` - The upper bound on the range of primes.
  Returns:
    An integer array holding the prime numbers.